Page MenuHomePhabricator

Categories marked as not existing when copy/pasted
Closed, ResolvedPublic

Description

Author: swalling

Description:
Screenshot

In UploadWizard, if I type or copy/paste the name of a category I know exists, the menu incorrectly says that it does not exist unless I explicitly select the name from the dropdown.


Version: master
Severity: minor

Attached:

Details

Reference
bz47052

Event Timeline

bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz47052.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 9 2013, 7:47 PM

This doesn't behave like that for me i.e it works fine.

What version are you experiencing this on? can you provide a URL?

swalling wrote:

The URL is UploadWizard via HTTPS, of course. I am Chrome and just experienced this today.

I was copy/pasting, so it may be specifically related to that.

Thanks for the additional info.

So the bug is that on c/p UW incorrectly says that the category doesn't exist but then again later if you try to remove and c/p again its found.

So, maybe we are loading the category list a little late? I will try to investigate further.

Related URL: https://gerrit.wikimedia.org/r/65548 (Gerrit Change I72f318f02535600ed8dddcb1534ecdf9eccc71cc)

Change 65548 abandoned by TheDJ:
UploadWizard: Update 'exists' when we actually receive this info.

Reason:
This is so old now, probably better if someone else picks it up.

https://gerrit.wikimedia.org/r/65548

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:12 PM
matmarex closed this task as Resolved.Sep 30 2015, 5:08 PM
matmarex claimed this task.
matmarex added a subscriber: matmarex.

This has been corrected with the new UI we switched to per T112764. (See screenshots there.)